cancel
Showing results for 
Search instead for 
Did you mean: 

Drivers & Software

c_zagarskas
Adept II

amdgpu-pro-20.45 install fails on Ubuntu 20.04.1 LTS - 1/3/2021

System: Ubuntu 20.04.1 LTS - Previously running these drivers with no problems: amdgpu-pro-20.40-1147286-ubuntu-20.04.tar.xz

PROBLEM SUMMARY:

Errors were encountered while processing:
amdgpu-dkms
amdgpu-pro-rocr-opencl

Process:

  • Fully uninstalled amdgpu-pro-20.40-1147286
    • amdgpu-pro-uninstall
    • sudo apt autoremove
    • sudo apt update
    • sudo apt upgrade
    • => success, no issues
    • reboot
    • download new drivers
    • extracted: amdgpu-pro-20.45-1164792-ubuntu-20.04
  • Install
    • ./amdgpu-pro-install -y --opencl=pal,legacy --headless
  • Install FAILS with output below
  • Repeated multiple times

 

============= Output as follows  ================

./amdgpu-pro-install -y --opencl=pal,legacy --headless


deb [ trusted=yes ] file:/var/opt/amdgpu-pro-local/ ./
Get:1 file:/var/opt/amdgpu-pro-local ./ InRelease
Ign:1 file:/var/opt/amdgpu-pro-local ./ InRelease
Get:2 file:/var/opt/amdgpu-pro-local ./ Release [816 B]
Get:2 file:/var/opt/amdgpu-pro-local ./ Release [816 B]
Get:3 file:/var/opt/amdgpu-pro-local ./ Release.gpg
Ign:3 file:/var/opt/amdgpu-pro-local ./ Release.gpg
Get:4 file:/var/opt/amdgpu-pro-local ./ Packages [114 kB]
Hit:5 http://repo.radeon.com/rocm/apt/debian xenial InRelease
Hit:6 http://us.archive.ubuntu.com/ubuntu focal InRelease
Get:7 http://us.archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]
Hit:8 http://security.ubuntu.com/ubuntu focal-security InRelease
Get:9 http://us.archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB]
Fetched 214 kB in 1s (365 kB/s)
Reading package lists... Done
WARNING: PAL OpenCL has been dropped in favour of ROCr.\nROCr OpenCL will be installed instead of PAL OpenCL.\nPlease advise that this option is deprecated and will be removed in \nfuture releases. Please use '--opencl=rocr' instead.
Reading package lists... Done
Building dependency tree
Reading state information... Done
Selected version '20.45-1164792' (localhost [all]) for 'amdgpu-pro-pin'
The following NEW packages will be installed:
amdgpu-pro-pin
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/6,280 B of archives.
After this operation, 38.9 kB of additional disk space will be used.
Get:1 file:/var/opt/amdgpu-pro-local ./ amdgpu-pro-pin 20.45-1164792 [6,280 B]
Selecting previously unselected package amdgpu-pro-pin.
(Reading database ... 190226 files and directories currently installed.)
Preparing to unpack .../amdgpu-pro-pin_20.45-1164792_all.deb ...
Unpacking amdgpu-pro-pin (20.45-1164792) ...
Setting up amdgpu-pro-pin (20.45-1164792) ...
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
amdgpu-pin
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/2,736 B of archives.
After this operation, 26.6 kB of additional disk space will be used.
Get:1 file:/var/opt/amdgpu-pro-local ./ amdgpu-pin 20.45-1164792 [2,736 B]
Selecting previously unselected package amdgpu-pin.
(Reading database ... 190245 files and directories currently installed.)
Preparing to unpack .../amdgpu-pin_20.45-1164792_all.deb ...
Unpacking amdgpu-pin (20.45-1164792) ...
Setting up amdgpu-pin (20.45-1164792) ...
Reading package lists... Done
Building dependency tree
Reading state information... Done################################............]

NOTE: hangs here are 57% for longer than expected


The following additional packages will be installed:
amdgpu-core amdgpu-dkms-firmware amdgpu-pro-core comgr-amdgpu-pro dkms hip-rocr-amdgpu-pro
hsa-runtime-rocr-amdgpu hsakmt-roct-amdgpu libdrm-amdgpu-amdgpu1 libdrm-amdgpu-common
libdrm2-amdgpu ocl-icd-libopencl1-amdgpu-pro opencl-rocr-amdgpu-pro
The following NEW packages will be installed:
amdgpu-core amdgpu-dkms amdgpu-dkms-firmware amdgpu-pro-core amdgpu-pro-rocr-opencl
clinfo-amdgpu-pro comgr-amdgpu-pro dkms hip-rocr-amdgpu-pro hsa-runtime-rocr-amdgpu
hsakmt-roct-amdgpu libdrm-amdgpu-amdgpu1 libdrm-amdgpu-common libdrm2-amdgpu
ocl-icd-libopencl1-amdgpu-pro opencl-orca-amdgpu-pro-icd opencl-rocr-amdgpu-pro
0 upgraded, 17 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/70.7 MB of archives.
After this operation, 484 MB of additional disk space will be used.
Get:1 file:/var/opt/amdgpu-pro-local ./ amdgpu-dkms-firmware 1:5.6.20.906300-1164792 [5,984 kB]
Get:2 file:/var/opt/amdgpu-pro-local ./ amdgpu-dkms 1:5.6.20.906300-1164792 [5,694 kB]
Get:3 file:/var/opt/amdgpu-pro-local ./ amdgpu-core 20.45-1164792 [2,216 B]
Get:4 file:/var/opt/amdgpu-pro-local ./ amdgpu-pro-core 20.45-1164792 [5,560 B]
Get:5 file:/var/opt/amdgpu-pro-local ./ libdrm2-amdgpu 1:2.4.100-1164792 [35.6 kB]
Get:6 file:/var/opt/amdgpu-pro-local ./ libdrm-amdgpu-common 1.0.0-1164792 [4,732 B]
Get:7 file:/var/opt/amdgpu-pro-local ./ libdrm-amdgpu-amdgpu1 1:2.4.100-1164792 [21.0 kB]
Get:8 file:/var/opt/amdgpu-pro-local ./ hsakmt-roct-amdgpu 1.0.9-1164792 [53.1 kB]
Get:9 file:/var/opt/amdgpu-pro-local ./ hsa-runtime-rocr-amdgpu 1.2.0-1164792 [414 kB]
Get:10 file:/var/opt/amdgpu-pro-local ./ comgr-amdgpu-pro 1.7.0-1164792 [27.8 MB]
Get:11 file:/var/opt/amdgpu-pro-local ./ ocl-icd-libopencl1-amdgpu-pro 20.45-1164792 [13.9 kB]
Get:12 file:/var/opt/amdgpu-pro-local ./ opencl-rocr-amdgpu-pro 20.45-1164792 [366 kB]
Get:13 file:/var/opt/amdgpu-pro-local ./ hip-rocr-amdgpu-pro 20.45-1164792 [676 kB]
Get:14 file:/var/opt/amdgpu-pro-local ./ clinfo-amdgpu-pro 20.45-1164792 [30.8 kB]
Get:15 file:/var/opt/amdgpu-pro-local ./ amdgpu-pro-rocr-opencl 20.45-1164792 [5,412 B]
Get:16 file:/var/opt/amdgpu-pro-local ./ opencl-orca-amdgpu-pro-icd 20.45-1164792 [29.5 MB]
Selecting previously unselected package amdgpu-dkms-firmware.
(Reading database ... 190259 files and directories currently installed.)
Preparing to unpack .../amdgpu-dkms-firmware_5.6.20.906300-1164792_all.deb ...
Unpacking amdgpu-dkms-firmware (1:5.6.20.906300-1164792) ...
Selecting previously unselected package dkms.
Preparing to unpack .../dkms_2.8.1-5ubuntu1_all.deb ...
Unpacking dkms (2.8.1-5ubuntu1) ...
Setting up amdgpu-dkms-firmware (1:5.6.20.906300-1164792) ...
Selecting previously unselected package amdgpu-dkms.
(Reading database ... 190695 files and directories currently installed.)
Preparing to unpack .../00-amdgpu-dkms_5.6.20.906300-1164792_all.deb ...
Unpacking amdgpu-dkms (1:5.6.20.906300-1164792) ...
Selecting previously unselected package amdgpu-core.
Preparing to unpack .../01-amdgpu-core_20.45-1164792_all.deb ...
Unpacking amdgpu-core (20.45-1164792) ...
Selecting previously unselected package amdgpu-pro-core.
Preparing to unpack .../02-amdgpu-pro-core_20.45-1164792_all.deb ...
Unpacking amdgpu-pro-core (20.45-1164792) ...
Selecting previously unselected package libdrm2-amdgpu:amd64.
Preparing to unpack .../03-libdrm2-amdgpu_2.4.100-1164792_amd64.deb ...
Unpacking libdrm2-amdgpu:amd64 (1:2.4.100-1164792) ...
Selecting previously unselected package libdrm-amdgpu-common.
Preparing to unpack .../04-libdrm-amdgpu-common_1.0.0-1164792_all.deb ...
Unpacking libdrm-amdgpu-common (1.0.0-1164792) ...
Selecting previously unselected package libdrm-amdgpu-amdgpu1:amd64.
Preparing to unpack .../05-libdrm-amdgpu-amdgpu1_2.4.100-1164792_amd64.deb ...
Unpacking libdrm-amdgpu-amdgpu1:amd64 (1:2.4.100-1164792) ...
Selecting previously unselected package hsakmt-roct-amdgpu:amd64.
Preparing to unpack .../06-hsakmt-roct-amdgpu_1.0.9-1164792_amd64.deb ...
Unpacking hsakmt-roct-amdgpu:amd64 (1.0.9-1164792) ...
Selecting previously unselected package hsa-runtime-rocr-amdgpu:amd64.
Preparing to unpack .../07-hsa-runtime-rocr-amdgpu_1.2.0-1164792_amd64.deb ...
Unpacking hsa-runtime-rocr-amdgpu:amd64 (1.2.0-1164792) ...
Selecting previously unselected package comgr-amdgpu-pro:amd64.
Preparing to unpack .../08-comgr-amdgpu-pro_1.7.0-1164792_amd64.deb ...
Unpacking comgr-amdgpu-pro:amd64 (1.7.0-1164792) ...
Selecting previously unselected package ocl-icd-libopencl1-amdgpu-pro:amd64.
Preparing to unpack .../09-ocl-icd-libopencl1-amdgpu-pro_20.45-1164792_amd64.deb ...
Unpacking ocl-icd-libopencl1-amdgpu-pro:amd64 (20.45-1164792) ...
Selecting previously unselected package opencl-rocr-amdgpu-pro:amd64.
Preparing to unpack .../10-opencl-rocr-amdgpu-pro_20.45-1164792_amd64.deb ...
Unpacking opencl-rocr-amdgpu-pro:amd64 (20.45-1164792) ...
Selecting previously unselected package hip-rocr-amdgpu-pro.
Preparing to unpack .../11-hip-rocr-amdgpu-pro_20.45-1164792_amd64.deb ...
Unpacking hip-rocr-amdgpu-pro (20.45-1164792) ...
Selecting previously unselected package clinfo-amdgpu-pro.
Preparing to unpack .../12-clinfo-amdgpu-pro_20.45-1164792_amd64.deb ...
Unpacking clinfo-amdgpu-pro (20.45-1164792) ...
Selecting previously unselected package amdgpu-pro-rocr-opencl.
Preparing to unpack .../13-amdgpu-pro-rocr-opencl_20.45-1164792_amd64.deb ...
Unpacking amdgpu-pro-rocr-opencl (20.45-1164792) ...
Selecting previously unselected package opencl-orca-amdgpu-pro-icd:amd64.
Preparing to unpack .../14-opencl-orca-amdgpu-pro-icd_20.45-1164792_amd64.deb ...
Unpacking opencl-orca-amdgpu-pro-icd:amd64 (20.45-1164792) ...
Setting up dkms (2.8.1-5ubuntu1) ...
Setting up amdgpu-dkms (1:5.6.20.906300-1164792) ...
Loading new amdgpu-5.6.20.906300-1164792 DKMS files...
Building for 5.4.0-58-generic
Building for architecture x86_64
Building initial module for 5.4.0-58-generic
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/amdgpu-dkms.0.crash'
Error! Bad return status for module build on kernel: 5.4.0-58-generic (x86_64)
Consult /var/lib/dkms/amdgpu/5.6.20.906300-1164792/build/make.log for more information.
dpkg: error processing package amdgpu-dkms (--configure):
installed amdgpu-dkms package post-installation script subprocess returned error exit status 10
Setting up amdgpu-core (20.45-1164792) ...
Setting up libdrm-amdgpu-common (1.0.0-1164792) ...
Setting up amdgpu-pro-core (20.45-1164792) ...
dpkg: dependency problems prevent configuration of amdgpu-pro-rocr-opencl:
amdgpu-pro-rocr-opencl depends on amdgpu-dkms (= 1:5.6.20.906300-1164792); however:
Package amdgpu-dkms is not configured yet.

dpkg: error processing package amdgpu-pro-rocr-opencl (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous
failure.
Setting up comgr-amdgpu-pro:amd64 (1.7.0-1164792) ...
Setting up ocl-icd-libopencl1-amdgpu-pro:amd64 (20.45-1164792) ...
Setting up clinfo-amdgpu-pro (20.45-1164792) ...
Setting up libdrm2-amdgpu:amd64 (1:2.4.100-1164792) ...
Setting up libdrm-amdgpu-amdgpu1:amd64 (1:2.4.100-1164792) ...
Setting up hsakmt-roct-amdgpu:amd64 (1.0.9-1164792) ...
Setting up hsa-runtime-rocr-amdgpu:amd64 (1.2.0-1164792) ...
Setting up hip-rocr-amdgpu-pro (20.45-1164792) ...
Setting up opencl-orca-amdgpu-pro-icd:amd64 (20.45-1164792) ...
Setting up opencl-rocr-amdgpu-pro:amd64 (20.45-1164792) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for libc-bin (2.31-0ubuntu9.1) ...
Errors were encountered while processing:
amdgpu-dkms
amdgpu-pro-rocr-opencl
E: Sub-process /usr/bin/dpkg returned an error code (1)

0 Kudos
6 Replies
unplug
Journeyman III

Re: amdgpu-pro-20.45 install fails on Ubuntu 20.04.1 LTS - 1/3/2021

I am having the same issue on a fresh Ubuntu 20.04 LTS (5.8.0-36-generic) and amd driver version 20.45-1188099. My install is sudo ./amdgpu-pro-install -y --opencl=legacy,rocr --headless. Below is the output.

===========================================================================

deb [ trusted=yes ] file:/var/opt/amdgpu-pro-local/ ./
Get:1 file:/var/opt/amdgpu-pro-local ./ InRelease
Ign:1 file:/var/opt/amdgpu-pro-local ./ InRelease
Get:2 file:/var/opt/amdgpu-pro-local ./ Release [816 B]
Get:2 file:/var/opt/amdgpu-pro-local ./ Release [816 B]
Get:3 file:/var/opt/amdgpu-pro-local ./ Release.gpg
Fetched 324 kB in 1s (227 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Selected version '20.45-1188099' (localhost [all]) for 'amdgpu-pro-pin'
The following packages were automatically installed and are no longer required:
dkms libatomic1:i386 libbsd0:i386 libdrm-amdgpu1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libelf1:i386 libexpat1:i386 libffi7:i386 libllvm11:i386
libomxil-bellagio-bin libomxil-bellagio0 libstdc++6:i386 libva2:i386 libvdpau1:i386 libwayland-client0:i386 libwayland-egl1:i386 libwayland-server0:i386 libx11-6:i386 libx11-xcb1:i386
libxau6:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386 libxcb-sync1:i386 libxcb-xfixes0:i386 libxcb1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386
libxfixes3:i386 libxshmfence1:i386 libxxf86vm1:i386 mesa-vdpau-drivers:i386 vdpau-driver-all:i386
Use 'sudo apt autoremove' to remove them.
The following NEW packages will be installed:
amdgpu-pro-pin
Preparing to unpack .../amdgpu-pro-pin_20.45-1188099_all.deb ...
Unpacking amdgpu-pro-pin (20.45-1188099) ...
Setting up amdgpu-pro-pin (20.45-1188099) ...
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
dkms libatomic1:i386 libbsd0:i386 libdrm-amdgpu1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libelf1:i386 libexpat1:i386 libffi7:i386 libllvm11:i386
libomxil-bellagio-bin libomxil-bellagio0 libstdc++6:i386 libva2:i386 libvdpau1:i386 libwayland-client0:i386 libwayland-egl1:i386 libwayland-server0:i386 libx11-6:i386 libx11-xcb1:i386
libxau6:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386 libxcb-sync1:i386 libxcb-xfixes0:i386 libxcb1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386
libxfixes3:i386 libxshmfence1:i386 libxxf86vm1:i386 mesa-vdpau-drivers:i386 vdpau-driver-all:i386
Use 'sudo apt autoremove' to remove them.
The following NEW packages will be installed:
amdgpu-pin
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/2,740 B of archives.
After this operation, 26.6 kB of additional disk space will be used.
Get:1 file:/var/opt/amdgpu-pro-local ./ amdgpu-pin 20.45-1188099 [2,740 B]
Selecting previously unselected package amdgpu-pin.
(Reading database ... 169416 files and directories currently installed.)
Preparing to unpack .../amdgpu-pin_20.45-1188099_all.deb ...
Unpacking amdgpu-pin (20.45-1188099) ...
Setting up amdgpu-pin (20.45-1188099) ...
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
libatomic1:i386 libbsd0:i386 libdrm-amdgpu1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libelf1:i386 libexpat1:i386 libffi7:i386 libllvm11:i386
libomxil-bellagio-bin libomxil-bellagio0 libstdc++6:i386 libva2:i386 libvdpau1:i386 libwayland-client0:i386 libwayland-egl1:i386 libwayland-server0:i386 libx11-6:i386 libx11-xcb1:i386
libxau6:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386 libxcb-sync1:i386 libxcb-xfixes0:i386 libxcb1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386
libxfixes3:i386 libxshmfence1:i386 libxxf86vm1:i386 mesa-vdpau-drivers:i386 vdpau-driver-all:i386
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
Setting up libdrm-amdgpu-common (1.0.0-1188099) ...
Setting up amdgpu-pro-core (20.45-1188099) ...
dpkg: dependency problems prevent configuration of amdgpu-pro-rocr-opencl:
amdgpu-pro-rocr-opencl depends on amdgpu-dkms (= 1:5.6.20.906316-1188099); however:
Package amdgpu-dkms is not configured yet.

dpkg: error processing package amdgpu-pro-rocr-opencl (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
Setting up comgr-amdgpu-pro:amd64 (1.7.0-1188099) ...
Setting up ocl-icd-libopencl1-amdgpu-pro:amd64 (20.45-1188099) ...
Setting up clinfo-amdgpu-pro (20.45-1188099) ...
Setting up libdrm2-amdgpu:amd64 (1:2.4.100-1188099) ...
Setting up libdrm-amdgpu-amdgpu1:amd64 (1:2.4.100-1188099) ...
Setting up hsakmt-roct-amdgpu:amd64 (1.0.9-1188099) ...
Setting up hsa-runtime-rocr-amdgpu:amd64 (1.2.0-1188099) ...
Setting up hip-rocr-amdgpu-pro (20.45-1188099) ...
Setting up opencl-orca-amdgpu-pro-icd:amd64 (20.45-1188099) ...
Setting up opencl-rocr-amdgpu-pro:amd64 (20.45-1188099) ...
Processing triggers for libc-bin (2.31-0ubuntu9.1) ...
Errors were encountered while processing:
amdgpu-dkms
amdgpu-pro-rocr-opencl
E: Sub-process /usr/bin/dpkg returned an error code (1)

Tags (1)
unplug
Journeyman III

Re: amdgpu-pro-20.45 install fails on Ubuntu 20.04.1 LTS - 1/3/2021

And this is what /var/crash/amdgpu-dkms.0.crash looks like.

ProblemType: Package
DKMSBuildLog:
 DKMS make.log for amdgpu-5.6.14.224-1147286 for kernel 5.8.0-36-generic (x86_64)
 Mon 11 Jan 2021 12:08:37 PM EST
 make: Entering directory '/usr/src/linux-headers-5.8.0-36-generic'
 /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/Makefile:20: "Local GCC version 90303 does not match kernel compiler GCC version 90300"
 /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/Makefile:21: "This may cause unexpected and hard-to-isolate compiler-related issues"
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/scheduler/sched_main.o
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/amd/amdgpu/amdgpu_drv.o
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/amd/amdgpu/amdgpu_device.o
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/scheduler/sched_fence.o
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/scheduler/sched_entity.o
   LD [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/scheduler/amd-sched.o
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm/ttm_memory.o
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/amd/amdgpu/amdgpu_kms.o
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm/ttm_tt.o
 /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/amd/amdgpu/amdgpu_kms.c: In function ‘amdgpu_driver_load_kms’:
 /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/amd/amdgpu/amdgpu_kms.c:210:38: error: ‘DPM_FLAG_NEVER_SKIP’ undeclared (first use in this function)
   210 |    dev_pm_set_driver_flags(dev->dev, DPM_FLAG_NEVER_SKIP);
       |                                      ^~~~~~~~~~~~~~~~~~~
 /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/amd/amdgpu/amdgpu_kms.c:210:38: note: each undeclared identifier is reported only once for each function it appears in
 make[2]: *** [scripts/Makefile.build:290: /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/amd/amdgpu/amdgpu_kms.o] Error 1
 make[1]: *** [scripts/Makefile.build:519: /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/amd/amdgpu] Error 2
 make[1]: *** Waiting for unfinished jobs....
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm/ttm_bo.o
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm/ttm_bo_util.o
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm/ttm_bo_vm.o
   CC [M]  /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm/ttm_module.o
 /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm/ttm_bo_vm.c: In function ‘ttm_bo_vm_fault_idle’:
 /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm/ttm_bo_vm.c:76:24: error: ‘struct mm_struct’ has no member named ‘mmap_sem’; did you mean ‘mmap_base’?
    76 |   up_read(&vma->vm_mm->mmap_sem);
       |                        ^~~~~~~~
       |                        mmap_base
 /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm/ttm_bo_vm.c: In function ‘amdttm_bo_vm_reserve’:
 /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm/ttm_bo_vm.c:155:26: error: ‘struct mm_struct’ has no member named ‘mmap_sem’; did you mean ‘mmap_base’?
   155 |     up_read(&vma->vm_mm->mmap_sem);
       |                          ^~~~~~~~
       |                          mmap_base
 make[2]: *** [scripts/Makefile.build:290: /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm/ttm_bo_vm.o] Error 1
 make[2]: *** Waiting for unfinished jobs....
make[1]: *** [scripts/Makefile.build:519: /var/lib/dkms/amdgpu/5.6.14.224-1147286/build/ttm] Error 2
 make: *** [Makefile:1780: /var/lib/dkms/amdgpu/5.6.14.224-1147286/build] Error 2
 make: Leaving directory '/usr/src/linux-headers-5.8.0-36-generic'
DKMSKernelVersion: 5.8.0-36-generic
Date: Mon Jan 11 12:08:42 2021
DuplicateSignature: dkms:amdgpu-dkms:1:5.6.14.224-1147286:/var/lib/dkms/amdgpu/5.6.14.224-1147286/build/amd/amdgpu/amdgpu_kms.c:210:38: error: ‘DPM_FLAG_NEVER_SKIP’ undeclared (first use in this function)
Package: amdgpu-dkms 1:5.6.14.224-1147286
PackageVersion: 1:5.6.14.224-1147286
SourcePackage: amdgpu-dkms
Title: amdgpu-dkms 1:5.6.14.224-1147286: amdgpu kernel module failed to build
MacLotsen
Journeyman III

Re: amdgpu-pro-20.45 install fails on Ubuntu 20.04.1 LTS - 1/3/2021

I also encountered the exact same issue. I found a helpful thread which suggests to install using ./amdgpu-install -y --no-dkms, though, unfortunately after a reboot the module is not loaded and I ended up with one display working at a low resolution 😞 In the previous situation I installed Ubuntu 18.04 in order to be able to install the drivers and then upgrade to 20.04 which worked like a charm until today.

0 Kudos
MacLotsen
Journeyman III

Re: amdgpu-pro-20.45 install fails on Ubuntu 20.04.1 LTS - 1/3/2021

Nevermind... The driver works. I've had amdgpu blacklisted. After removing the file at /etc/modprobe.d/blacklist-amdgpu.conf the driver worked. At first it showed artefacts and weird offset positions, but was resolved by restarting the monitor itself. Another thing I noticed is that FreeSync is gone, which is unfortunate.

0 Kudos
sayprog
Journeyman III

Re: amdgpu-pro-20.45 install fails on Ubuntu 20.04.1 LTS - 1/3/2021

/var/lib/dkms/amdgpu/5.6.14.224-1147286/build/amd/amdgpu/amdgpu_kms.c:210:38: error: ‘DPM_FLAG_NEVER_SKIP’ undeclared (first use in this function)
210 | dev_pm_set_driver_flags(dev->dev, DPM_FLAG_NEVER_SKIP);


Look at the linux-source-5.4.0/include/linux/pm.h
(pm.h - Power management interface Copyright (C) 2000 Andrew Henroid)


568:#define DPM_FLAG_NEVER_SKIP BIT(0)
569:#define DPM_FLAG_SMART_PREPARE BIT(1)
570:#define DPM_FLAG_SMART_SUSPEND BIT(2)
571:#define DPM_FLAG_LEAVE_SUSPENDED BIT(3)

The DPM_FLAG_NEVER_SKIP is defined.

But in the newer linux-source-5.8.0/include/linux/pm.h

554:#define DPM_FLAG_NO_DIRECT_COMPLETE BIT(0)
555:#define DPM_FLAG_SMART_PREPARE BIT(1)
556:#define DPM_FLAG_SMART_SUSPEND BIT(2)
557:#define DPM_FLAG_MAY_SKIP_RESUME BIT(3)

The DPM_FLAG_NO_DIRECT_COMPLETE is defined, instead of the DPM_FLAG_NEVER_SKIP.
And DPM_FLAG_MAY_SKIP_RESUME is defined, instead of DPM_FLAG_LEAVE_SUSPENDED.

I had successfull installation amdgpu-pro-20.45 after downgrading kernel 5.8.0 --> 5.4.0.

0 Kudos
c_zagarskas
Adept II

Re: amdgpu-pro-20.45 install fails on Ubuntu 20.04.1 LTS - 1/3/2021

This remains a problem

My attempts to downgrade the kernel either:

I know this is not a linux support forum, but if you could provide the exact steps to properly downgrade that would be helpful and appreciated.

I have recently tried the "updated" 20.45 version on a new system and had hoped the new 1188099 would resolve the issue, alas, to my horror, this is still a problem. In this case I am baffled that a fresh install of both Ubuntu and amdgpu-pro would fail like this.

https://community.amd.com/t5/drivers-software/amdgpu-pro-20-45-amdgpu-dkms-fails-on-fresh-install-ub...

I hate to sound like a noob (or a jackass here), but I question if AMD DEVs tried to install amdgpu-pro-20.45-1188099 at all? I do not see how they could have (perhaps that is hubris on my part). Alas, I can not rule out human error on my end... but I am beyond reasonably confident that after several months of wrestling with this problem that finally saying "ok, new MB, new SSD, fresh install of Ubuntu, iso via usb - surely that will do the trick" - alas, I ended up with the post above.

0 Kudos